/*****************************************************************************

    Bible Reader for Palm
    Copyright (C) 2001  Ho Chuen Poon
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
    You may contact Ho Chuen Poon at poetry@hongkong.com

*****************************************************************************/

#include <PalmOS.h>
#include "PalmBible.h"
#include "PalmBible_res.h"   

static SECT1 Boolean frmAbout_cmdClose_OnSelect(EventPtr event)
{
	FrmReturnToForm(frmMain);
	return true;
}

static SECT1 Boolean frmAbout_OnClose(EventPtr event)
{
	return false;
}

static Boolean frmAbout_OnOpen(EventPtr event)
{
	modalForm = FrmGetActiveForm();
	FrmDrawForm(modalForm);

	return true;
}

Boolean frmAbout_HandleEvent(EventPtr event)
{
	FormPtr form;
	Boolean handled = false;

	switch (event->eType)
	{
		case ctlSelectEvent:
			switch (event->data.ctlSelect.controlID)
			{
				case cmdClose:
					handled = frmAbout_cmdClose_OnSelect(event);
					break;
			}
			break;
		case frmCloseEvent:
			handled = frmAbout_OnClose(event);
			break;
		case frmOpenEvent:
			handled = frmAbout_OnOpen(event);
			break;
		default:
			break;
	}

	return handled;
}
