/*****************************************************************************

    Bible Reader for Palm
    Copyright (C) 2001  Ho Chuen Poon
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
    You may contact Ho Chuen Poon at poetry@hongkong.com

*****************************************************************************/

// Structure Definition

typedef struct ColorBoxType {
	UInt16 objID;
	RectangleType bound;
	IndexedColorType color;
} ColorBoxType;
typedef ColorBoxType *ColorBoxPtr;

// Public Functions

void CbxInitColorBox(ColorBoxPtr colorBoxPtr, UInt16 objID, 
	IndexedColorType color);
Boolean CbxReleaseColorBox(ColorBoxPtr colorBoxPtr, EventPtr event) SECT1;
void CbxHitColorBox(ColorBoxPtr colorBoxPtr, EventPtr event) SECT1;
void CbxSetColorBox(ColorBoxPtr colorBoxPtr, IndexedColorType color) SECT1;
void CbxReset() SECT1;
Boolean CbxIsSet() SECT1;

